Skip to main content
GET
/
v2
/
extensions
Get Extensions
curl --request GET \
  --url https://api.jtl-cloud.com/erp/v2/extensions \
  --header 'Authorization: Bearer <token>' \
  --header 'x-tenant-id: <x-tenant-id>'
{
  "totalItems": 123,
  "pageNumber": 123,
  "pageSize": 123,
  "items": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "extensionId": "<string>",
      "version": "<string>",
      "created": "2023-11-07T05:31:56Z",
      "lastChanged": "2023-11-07T05:31:56Z",
      "manifestHash": "<string>"
    }
  ],
  "totalPages": 123,
  "hasPreviousPage": true,
  "hasNextPage": true,
  "nextPageNumber": 123,
  "previousPageNumber": 123
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

x-runas
string

The User-Id (int or uuid) on whose behalf the request is executed. Requires scope 'Application.RunAs'.

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

Query Parameters

pageNumber
integer<int32>

Number of the page of items to fetch.

pageSize
integer<int32>

Size of the page that is specified by pageNumber.

Response

The installed Extensions.

Represents a paginated list of items

totalItems
integer<int32>

Gets or sets the total number of items available in the data source.

pageNumber
integer<int32>

Gets or sets the current page number in the paginated list.

pageSize
integer<int32>

Gets or sets the number of items per page in the paginated list.

items
object[]

Gets or sets the collection of items contained in the paged list.

totalPages
integer<int32>

Gets the total number of pages based on the total number of items and the page size.

hasPreviousPage
boolean

Gets a value indicating whether there is a previous page available in the paginated list.

hasNextPage
boolean

Gets a value indicating whether there is a next page available.

nextPageNumber
integer<int32>

Gets the number of the next page if there is one; otherwise, returns the total number of pages.

previousPageNumber
integer<int32>

Gets the number of the previous page. If there is no previous page, it returns 1.